Summary:	The KDE Network Monitor
Name:		knemo
Version:	0.7.6
Release:	%mkrel 4

License:	GPLv2+
Group:		Graphical desktop/KDE
Source0:	http://kde-apps.org/CONTENT/content-files/12956-%{name}-%{version}.tar.bz2
URL:		http://kde-apps.org/content/show.php?content=12956

BuildRequires:	kdelibs4-devel
BuildRequires:	kdebase4-workspace-devel
BuildRequires:  libiw-devel
BuildRequires:  libnl3-devel
Requires:	wireless-tools
Requires:	qt4-database-plugin-sqlite

%description
KNemo offers a network monitor similar to the one found in Windows. 
For every network interface it displays an icon in the systray.

Features:
* support for ethernet (including wireless) and ppp connections
* the icon shows incoming/outgoing traffic
* hiding of icon when the interface is not available
* automatic detection of wireless extensions for ethernet interfaces
* left-clicking on an icon displays a status dialog with information
  about the selected interface (2nd click hides dialog)
* configuration via context menu or control center module
  (Internet & Network/Network Monitor)
* customizable tooltip for quick access to often needed information
* you can activate 2 custom entries for the context menu. They can 
  have custom text and a command to run when selected. You can even 
  select if the commands need root permissions or not.
* automatic detection of available interfaces (click on 'Default' in 
  the configuration dialog and KNemo will look under /proc/net/dev for
  interfaces)
* KNemo uses more standard icon names which allows support from other
  icon themes.

Please make sure that in the settings the paths for 'ifconfig' and 'iwconfig'
are correct and that both programs are installed.

IMPORTANT: KNemo is not an executable but an KDED service. Therefore 
it has to be started using Control Center/KDE Components/Service Manager. 

%files -f %{name}.lang
%defattr(-,root,root)
%_kde_bindir/knemo
%_kde_libdir/kde4/kcm_knemo.so
%_kde_datadir/applications/kde4/knemo.desktop
%_kde_appsdir/knemo
%_kde_appsdir/kconf_update/*
%_kde_datadir/autostart/knemo.desktop
%_kde_iconsdir/hicolor/*/*/*
%_kde_datadir/kde4/services/kcm_knemo.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name} %{name} kcm_knemo knemod

%clean
rm -rf %{buildroot}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.7.6-4.mga4
+ Revision: 506724
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7.6-3.mga3
+ Revision: 356349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.7.6-2.mga3
+ Revision: 345489
- rebuild for new iw

* Sat Dec 08 2012 fwang <fwang> 0.7.6-1.mga3
+ Revision: 328039
- br nl3
- br libksignalplotter
- new version 0.7.6

* Sat Jan 07 2012 fwang <fwang> 0.7.3-1.mga2
+ Revision: 192849
- new version 0.7.3

* Sun Aug 07 2011 fwang <fwang> 0.7.2-1.mga2
+ Revision: 132139
- new version 0.7.2

* Sat May 07 2011 ahmad <ahmad> 0.7.1-1.mga1
+ Revision: 95708
- Update to 0.7.2
- imported package knemo


* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 612311
- new version 0.7.0

* Sat Aug 28 2010 Funda Wang <fwang@mandriva.org> 0.6.80-1mdv2011.0
+ Revision: 573646
- new version 0.6.80

* Sun Jul 11 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.6.3-1mdv2011.0
+ Revision: 550593
- new version

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2010.1
+ Revision: 533494
- update to new version 0.6.2

* Mon Jan 18 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 493103
- new version 0.6.1

* Fri Dec 04 2009 Funda Wang <fwang@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 473214
- new version 0.6.0

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.80-2mdv2010.1
+ Revision: 465242
- Rebuild against new Qt

* Fri Nov 06 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.5.80-1mdv2010.1
+ Revision: 460629
- new version (BuidRequires libnl-devel)

* Wed Jul 08 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 393647
- new version

* Thu Mar 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.1-1mdv2009.1
+ Revision: 348960
- Fix BuildRequires
- Update to the KDE4 version

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 0.4.8-3mdv2009.0
+ Revision: 254740
- fix install

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Move to /opt

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.4.8-1mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 0.4.8-1mdv2008.0
+ Revision: 77183
- add more translation files
- New version 0.4.8
- Import knemo



* Mon Aug 28 2006 Nick Brown <nickbrown@mandriva.org> 0.4.5-1mdv2007.0
- 0.4.5

* Fri May 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.0-1mdv2007.0
- New release 0.4.0

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.1-4
- Rebuild

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.1-3mdk
- fix lib64 path to qt3
- use %%find_lang
- --enable-final
- fix requires
- %%mkrel

* Sat Mar 19 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.3.1-1mdk
- rebuild

* Fri Oct 01 2004 Nick Brown <nickbrown@mandrake.org> 0.3.1-1mdk
- 0.3.1

* Mon Sep 13 2004 Nick Brown <nickbrown@mandrake.org> 0.3.0-1mdk
- 0.3.0
- fixed packaging of locale

* Tue Aug 24 2004 Nick Brown <nickbrown@mandrake.org> 0.2.3-1mdk
- 0.2.3

* Fri Aug 20 2004 Nick Brown <nickbrown@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.0-1mdk
- 0.2.0

* Tue Jul 13 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.1.10-1mdk
- New release 1.10
- remove ipv6 interface patch, fixed upstream
- Requires /sbin/ifconfig /sbin/iwconfig
* Fri Jun 25 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.1.8-1mdk
- First Mandrake release
